/*			Patch.H V1.05
		(c) 1997,98 by Dimitri Junker
			Adenauerallee 30
			52066 Aachen	*/


/* -------------------------------------------------------------------- */
/*		Includes														*/
/* -------------------------------------------------------------------- */

#include <tos.h>
#include <portab.h>


/* -------------------------------------------------------------------- */
/*		typedefs														*/
/* -------------------------------------------------------------------- */

/*Auf die folgende Struct wird auch in Assembler zugegriffen 
	(set_gd_trm_x, tst_id) da dort davon ausgegangen wird, da p_bp
	bei Offset 0, p_flags bei Offset 4 und p_frame bei Offset 12
	stehen, darf dies nicht	gendert werden, oder eben der S-Code ebenfalls	*/

typedef struct
{	BASPAG *p_bp;			/* eigene BASEPAGE					*/
	volatile long p_flags[2] ;		/* werden gesetzt wenn File gefnet	*/
	int		p_frame,		/* Framelnge: 6 oder 8				*/
			p_x,			/* letzte Mausposition				*/
			p_y,
			p_x_offs,
			p_y_offs,
			p_ms;			/* Mausstatus fr v_hide_c...		*/
			p_masch,		/* ST,TT,...						*/
			p_vopn,			/* 0: v_opnbm; 1:v_opnvwk2			*/
			p_bhdl[3];		/* Handel der 2 Bitmaps und des AES-Bilds.	*/
			p_log;			/* Logische Bitmap					*/
			p_phys;			/* Phys. Bitmap						*/
	ULONG	p_mmaske[8],	/* Maus Maske						*/
			p_mzeiger[8],	/* Maus Maske						*/
			p_msave[8];		/* Zum Retten des Maushintergrunds	*/
	void 	*p_baddr[2];	/* PHYSBASE der 2 Bitmaps
								Im 1-Monitormodus:{NULL,?}	*/
	int 	*p_pdhdl;		/* Da speichert PD den Workstationhandel */
	char	p_res,			/* Resolution, fr [ST]T-Shift-Mode-Register*/
			p_mxa;
	int		p_bs_m,			/* welcher Mode bei Mxalloc fr Bildschirmsp. verwendet werden soll?*/
			p_nova_alt;		/* NOVA <2.63						*/
			p_cpu;			/* CPU-68000 also 0,10,20,... -1=noch unbekannt		*/
	char	p_prginf[6][3][10];	/* Tedinfozeiger fr Prg info*/
	int		p_mpc_comp;		/* MagicPC Compilermodus bei PD Start 1:an, 0:aus, -1:Fehler*/

}PDX;
